function report_toy(db,name, rng)

b = db.mean;

defstyle = struct;
defstyle.line.lineWidth = 2;
defstyle.figure.dateFormat = 'YYfP';

% open report
x = report.new();

x.figure('Toy Kalman model results', 'style',defstyle,...
    'dateFormat','YYfP', 'range', rng);
        x.graph('Output Gap');
            x.series('', b.l_y_gap);            
        x.graph('Output Gap Shock');
            x.series('', b.shock_l_y_gap);
        x.graph('Inflation');
            x.series('', b.dl_cpi);            
        x.graph('Inflation Shock');
            x.series('', b.shock_dl_cpi);
        x.graph('RIR Gap');
            x.series('', b.r_gap);            
        x.graph('RIR Gap Shock');
            x.series('', b.shock_r_gap); 

disp('Compiling report...')
x.publish(name);            

end